D4Science Infrastructure - Task #1502

Automate the dataminer installation as a loadbalanced service
Nov 23, 2015 04:08 PM - Andrea Dell'Amico

Status: Closed Start date: Nov 23, 2015
Priority: Normal Due date:
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: Computational Infrastructure upgrade to

smartgears
Infrastructure: Development, Pre-Production,

Production
Description

We need to install dataminer as a load balanced service. Eventually, the load balancer could be put in HA.

Subtasks:
Task # 1503: Install a dev dataminer VM Closed
Task # 1504: Install a haproxy instance in front of the dev dataminer services Closed

Related issues:

Related to D4Science Infrastructure - Task #1215: Install Dataminer in produc... Closed Oct 22, 2015
Related to D4Science Infrastructure - Task #421: Create an automatic installa... Closed Jul 23, 2015
Related to D4Science Infrastructure - Task #422: Report libraries and configu... Closed Jul 23, 2015
History

#1 - Nov 23, 2015 04:08 PM - Andrea Dell'Amico

- Related to Task #1215: Install Dataminer in production environment added

#2 - Nov 23, 2015 04:08 PM - Andrea Dell'Amico

- Related to Task #421: Create an automatic installation package for DataMiner added

#3 - Nov 23, 2015 04:08 PM - Andrea Dell'’Amico

- Related to Task #422: Report libraries and configuration components for DataMiner added

#4 - Nov 23, 2015 04:13 PM - Andrea Dell'Amico
The architecture will be:
e A haproxy instance as http(s) load balancer: dataminer-d4s.d4science.org for the production, dataminer-d-d4s.d4science.org for the dev
environment

¢ A couple (for the start, there will be more) of servers running tomcat and nginx as reverse proxy. nginx needs to be configured to log the real
client IP and not the proxy one

#5 - Nov 23, 2015 04:17 PM - Andrea Dell'Amico

- Target version changed from 197 to Computational Infrastructure upgrade to smartgears

#6 - Dec 11, 2015 03:40 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#7 - Dec 14,2015 11:37 AM - Andrea Dell'Amico

- Subject changed from Install dataminer as a loadbalanced service to Automate the dataminer installation as a loadbalanced service

The dev installation si working.

#8 - Dec 18, 2015 05:30 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

The installation in the production environment is working too.
